﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #f2f2f2;
    font-family: "Roboto", Arial;
    border-top: 30px solid #00713d;
}

h4, .h4 {
    font-size: calc(1.275rem + 0.3vw);
    color: #00713D;
}

.text-danger {
    font-size: calc(1.275rem + 0.3vw);
    color: #DC3545;
}

@media (min-width: 1200px) {
    h4, .h4 {
        font-size: 1.5rem;
        color: #00713D;
    }
}

.img-responsive {
    display: block;
    height: auto;
    max-width: 100%;
    width:400px;
}

.wrap {
    width: 90%;
    max-width: 500px;
    padding: 35px;
    margin: auto;
    background: #fff;
    box-shadow: 0px 0px 3px grey;
}

.contenedor-formulario {
    width: 100%;
    /*color: #cc1919;*/
    padding: 10px;
    align-items: center;
}

    .contenedor-formulario .formulario {
        width: 100%;
        margin: auto;
    }

        .contenedor-formulario .formulario .input-group {
            position: relative;
            margin-bottom: 32px;
        }

            .contenedor-formulario .formulario .input-group input[type="text"],
            .contenedor-formulario .formulario .input-group input[type="email"],
            .contenedor-formulario .formulario .input-group input[type="password"] {
                font-family: "Roboto", Arial;
                font-size: 16px;
                color: #646464;
                width: 100%;
                outline: none;
                padding: 15px;
                background: none;
                border: none;
                border-bottom: 2px solid #00713d;
            }

                .contenedor-formulario .formulario .input-group input[type="text"]:focus, .contenedor-formulario .formulario .input-group input[type="text"]:active,
                .contenedor-formulario .formulario .input-group input[type="email"]:focus,
                .contenedor-formulario .formulario .input-group input[type="email"]:active,
                .contenedor-formulario .formulario .input-group input[type="password"]:focus,
                .contenedor-formulario .formulario .input-group input[type="password"]:active {
                    outline: none;
                    border-bottom: 2px solid #646464;
                }

                .contenedor-formulario .formulario .input-group input[type="text"].error,
                .contenedor-formulario .formulario .input-group input[type="email"].error,
                .contenedor-formulario .formulario .input-group input[type="password"].error {
                    border-bottom: 2px solid #D32F2F;
                }

                    .contenedor-formulario .formulario .input-group input[type="text"].error + label,
                    .contenedor-formulario .formulario .input-group input[type="email"].error + label,
                    .contenedor-formulario .formulario .input-group input[type="password"].error + label {
                        color: #D32F2F;
                    }

            .contenedor-formulario .formulario .input-group label {
                color: #00713d;
            }

                .contenedor-formulario .formulario .input-group label.label {
                    -webkit-transition: all 0.3s ease;
                    transition: all 0.3s ease;
                    margin-left: 15px;
                    font-size: 16px;
                    line-height: 16px;
                    position: absolute;
                    top: 16px;
                    left: 0;
                }

                    .contenedor-formulario .formulario .input-group label.label.active {
                        top: -12px;
                        font-size: 12px;
                        line-height: 12px;
                        color: #B6B6B6;
                    }

            .contenedor-formulario .formulario .input-group.checkbox label, .contenedor-formulario .formulario .input-group.radio label {
                display: inline-block;
                cursor: pointer;
                color: #303F9F;
                position: relative;
                padding: 5px 15px 5px 51px;
                font-size: 1em;
                border-radius: 3px;
                -webkit-transition: all 0.3s ease;
                transition: all 0.3s ease;
            }

                .contenedor-formulario .formulario .input-group.checkbox label:hover, .contenedor-formulario .formulario .input-group.radio label:hover {
                    background: #bbdefb;
                }

                .contenedor-formulario .formulario .input-group.checkbox label:before, .contenedor-formulario .formulario .input-group.radio label:before {
                    content: "";
                    display: inline-block;
                    width: 17px;
                    height: 17px;
                    position: absolute;
                    left: 15px;
                    border-radius: 50%;
                    background: none;
                    border: 2px solid #303F9F;
                }

            .contenedor-formulario .formulario .input-group.error label {
                color: #D32F2F;
            }

                .contenedor-formulario .formulario .input-group.error label:hover {
                    background: rgba(211, 47, 47, 0.2);
                }

                .contenedor-formulario .formulario .input-group.error label:before {
                    border: 2px solid #D32F2F;
                }

            .contenedor-formulario .formulario .input-group.radio input[type="radio"] {
                display: none;
            }

                .contenedor-formulario .formulario .input-group.radio input[type="radio"]:checked + label:before {
                    display: none;
                }

                .contenedor-formulario .formulario .input-group.radio input[type="radio"]:checked + label {
                    padding: 5px 15px;
                    background: #303F9F;
                    border-radius: 2px;
                    color: #f2f2f2;
                }

            .contenedor-formulario .formulario .input-group.checkbox label:before {
                border-radius: 3px;
            }

            .contenedor-formulario .formulario .input-group.checkbox input[type="checkbox"] {
                display: none;
            }

                .contenedor-formulario .formulario .input-group.checkbox input[type="checkbox"]:checked + label:before {
                    display: none;
                }

                .contenedor-formulario .formulario .input-group.checkbox input[type="checkbox"]:checked + label {
                    background: #303F9F;
                    color: #f2f2f2;
                    padding: 5px 15px;
                }

        .contenedor-formulario .formulario input[type="submit"] {
            background: #00713d;
            border-radius: 1px;
            border: 2px solid #f2f2f2;
            color: #fff;
            cursor: pointer;
            display: inline-block;
            font-family: "Roboto", Arial;
            font-size: 16px;
            padding: 15px;
            width: 100%;
            -webkit-transition: all 0.3s ease;
            transition: all 0.3s ease;
        }

            .contenedor-formulario .formulario input[type="submit"]:hover {
                background: #309866;
            }



/*.p-ejemplo-supports {
    color: red;
    font-size: 20px;
}*/

/*@supports not (display: grid) {
    .p-ejemplo-supports {
        color: red;
    }
}*/

@supports not (display: flex) {
    .p-ejemplo-supports {
        color: red;
    }
}

/*@supports (display: grid) {
    .p-ejemplo-supports {
        color: green;
    }
}*/

/*@supports (display: contents) {

    .p-ejemplo-supports {
        color: green;
    }
}

@supports not (display: contents) {
    .p-ejemplo-supports {
        color: green;
    }
}*/